#include "grille.h"
#include <Imagine/Graphics.h>
using namespace Imagine;
#include <iostream>
using namespace std;

int main() {
    openWindow(9*taille, 9*taille, "Sudoku");
    Grille g;
    init_grille(g);
    g.valeur[3][5] = 5;
    g.indice[3][5] = true;
    g.valeur[7][2] = 1;
    affiche_grille(g);
    cout << "Exemple de grille avec un indice" << endl;
    click();
    cout << "Entrez les indices, clic droit pour terminer" << endl;
    g = entre_grille();

    // Question 10
    cout << "Remplissez la grille, clic droit pour la solution" << endl;
    int i, j, val;
    while(entre_case(i,j,val)) {
        Grille avant = g;
        g.valeur[i][j] = val;
        if(g.indice[i][j] || ! verifie_case(g,i,j)) {
            g = avant;
            fillRect(j*taille, i*taille, taille, taille, RED);
            milliSleep(1000);
        }
        affiche_grille(g);
    }
    if(resous_grille(g)) {
        cout << "Voici la solution" << endl;
        affiche_grille(g);
    } else
        drawString(taille*3, taille*6, "Grille impossible...", RED);

    endGraphics();
    return 0;
}
